/* vRouter: netreader.h

   Purpose: Read network descriptor information from 
            a stream.  Populate a Network object.

   Changes:

     0.02 - Initial release
*/

#ifndef NETREADER_H
#define NETREADER_H

#include <assert.h>
#include <vector>
#include <string>
#include<iostream>

#include "network.h"
#include "simulator.h"
#include "parse.h"

class Netreader : Parse {

 public:
  Netreader();
  Network * read(istream &);
  

 private:
  
  void parse(istream &);
  DataLink * parse_datalink(istream&);
  Router *   parse_router(istream&);


  Network * net;
  
};

#endif


